aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libquvi
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-11-04 12:56:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-11-04 12:58:20 +0000
commit5a881f7d46f3591251b9f1c801fc92bcc4b9cbf9 (patch)
tree4ab1b71156a8f167249933af0b403d8fe58e3dee /testing/libquvi
parent1fc9f5a46e230b34129fb1dd0cd301193fb72b70 (diff)
downloadaports-5a881f7d46f3591251b9f1c801fc92bcc4b9cbf9.tar.bz2
aports-5a881f7d46f3591251b9f1c801fc92bcc4b9cbf9.tar.xz
testing/libquvi: new aport
library for parsing video download links http://quvi.sourceforge.net/
Diffstat (limited to 'testing/libquvi')
-rw-r--r--testing/libquvi/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/libquvi/APKBUILD b/testing/libquvi/APKBUILD
new file mode 100644
index 0000000000..5fa4de8ab4
--- /dev/null
+++ b/testing/libquvi/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libquvi
+pkgver=0.4.0
+pkgrel=0
+pkgdesc="library for parsing video download links"
+url="http://quvi.sourceforge.net/"
+arch="all"
+license="LGPLv2+"
+depends="libquvi-scripts"
+depends_dev="libquvi-scripts-dev curl-dev lua-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/quvi/0.4/libquvi/libquvi-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/libquvi-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="a9710096abcbcb1ffa8a947a4a5a00d9 libquvi-0.4.0.tar.bz2"